Loading...
Searching...
No Matches
fac_distrib.h File Reference
`#include <config.h>`
`#include "canonicalform.h"`

Go to the source code of this file.

## Functions

bool | nonDivisors (CanonicalForm omega, CanonicalForm delta, const CFArray &F, CFArray &d)
bool | checkEvaluation (const CanonicalForm &U, const CanonicalForm &lcU, const CanonicalForm &omega, const CFFList &F, const Evaluation &A, CanonicalForm &delta)
bool | distributeLeadingCoeffs (CanonicalForm &U, CFArray &G, CFArray &lcG, const CFFList &F, const CFArray &D, CanonicalForm &delta, CanonicalForm &omega, const Evaluation &A, int r)
CFList | gcdFreeBasis (const CFList L)

## Function Documentation

## checkEvaluation()

bool checkEvaluation | ( | const CanonicalForm & | U,
|  | const CanonicalForm & | lcU,
|  | const CanonicalForm & | omega,
|  | const CFFList & | F,
|  | const Evaluation & | A,
|  | CanonicalForm & | delta )

## distributeLeadingCoeffs()

bool distributeLeadingCoeffs | ( | CanonicalForm & | U,
|  | CFArray & | G,
|  | CFArray & | lcG,
|  | const CFFList & | F,
|  | const CFArray & | D,
|  | CanonicalForm & | delta,
|  | CanonicalForm & | omega,
|  | const Evaluation & | A,
|  | int | r )

## gcdFreeBasis()

CFList gcdFreeBasis | ( | const CFList | L | ) |

## nonDivisors()

bool nonDivisors | ( | CanonicalForm | omega,
|  | CanonicalForm | delta,
|  | const CFArray & | F,
|  | CFArray & | d )